Subject: 1996 NEMF/NAMA Foray

From: [email-masked] (Xerula)
Date: 22 May 1996 13:49:56 -0400

By the way, I am so glad I finally figured out how to access this
newsgroup!
I would like to announce the website for the 1996 combined Northeast
Mycological Federation (NEMF) / North American Mycological Association
(NAMA) foray, complete with information on faculty, registration, etc.,
plus a species list from last year's NEMF Foray in Oswego, NY.  This
year's foray will be Labor Day weekend (end of August) in Ascutney,
Vermont USA.

http://members.aol.com/xerula/nemf.html

Cheers!  --Dave Fischer